import {
	Body,
	Controller,
	Get,
	Param,
	ParseIntPipe,
	Post,
	Request,
	StreamableFile,
	ValidationPipe
} from '@nestjs/common';
import { Responses, Requests, validateAsyncInline, UserRole } from '../../dto';
import FileSystemService from 'services/filesystem';
import { Role } from 'authguards';

@Controller('api/fs')
export default class FileSystemController {
	constructor(private fsService: FileSystemService) {}

	@Post('download')
	@Role(UserRole.USER)
	async download(
		@Request() req,
		@Body('id', ParseIntPipe) id
	): Promise<StreamableFile> {
		return this.fsService.downloadFile(id, req.user);
	}
}
